Package com.google.earth.kml._2

# Class IconType

java.lang.Object
com.google.earth.kml._2.ObjectType
com.google.earth.kml._2.LinkType
com.google.earth.kml._2.IconType

public class IconType extends LinkType
<p>Java class for IconType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="IconType"> <complexContent> <extension base="{http://earth.google.com/kml/2.1}LinkType"> <sequence> <element name="x" type="{http://www.w3.org/2001/XMLSchema}int"/> <element name="y" type="{http://www.w3.org/2001/XMLSchema}int"/> <element name="w" type="{http://www.w3.org/2001/XMLSchema}int"/> <element name="h" type="{http://www.w3.org/2001/XMLSchema}int"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `h`
  `protected int`
  `w`
  `protected int`
  `x`
  `protected int`
  `y`

  ### Fields inherited from class com.google.earth.kml._2.LinkType

  `href, httpQuery, refreshInterval, refreshMode, viewBoundScale, viewFormat, viewRefreshMode, viewRefreshTime`

  ### Fields inherited from class com.google.earth.kml._2.ObjectType

  `id, targetId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IconType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getH()`
  Gets the value of the h property.
  `int`
  `getW()`
  Gets the value of the w property.
  `int`
  `getX()`
  Gets the value of the x property.
  `int`
  `getY()`
  Gets the value of the y property.
  `void`
  `setH(int value)`
  Sets the value of the h property.
  `void`
  `setW(int value)`
  Sets the value of the w property.
  `void`
  `setX(int value)`
  Sets the value of the x property.
  `void`
  `setY(int value)`
  Sets the value of the y property.

  ### Methods inherited from class com.google.earth.kml._2.LinkType

  `getHref, getHttpQuery, getRefreshInterval, getRefreshMode, getViewBoundScale, getViewFormat, getViewRefreshMode, getViewRefreshTime, setHref, setHttpQuery, setRefreshInterval, setRefreshMode, setViewBoundScale, setViewFormat, setViewRefreshMode, setViewRefreshTime`

  ### Methods inherited from class com.google.earth.kml._2.ObjectType

  `getId, getTargetId, setId, setTargetId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### x

    protected int x

  - ### y

    protected int y

  - ### w

    protected int w

  - ### h

    protected int h

- ## Constructor Details

  - ### IconType

    public IconType()

- ## Method Details

  - ### getX

    public int getX()
    Gets the value of the x property.

  - ### setX

    public void setX(int value)
    Sets the value of the x property.

  - ### getY

    public int getY()
    Gets the value of the y property.

  - ### setY

    public void setY(int value)
    Sets the value of the y property.

  - ### getW

    public int getW()
    Gets the value of the w property.

  - ### setW

    public void setW(int value)
    Sets the value of the w property.

  - ### getH

    public int getH()
    Gets the value of the h property.

  - ### setH

    public void setH(int value)
    Sets the value of the h property.